PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::optical::modal::RootMuller Struct Reference

`#include <solvers/optical/modal/muller.hpp>`

Inheritance diagram for plask::optical::modal::RootMuller:
[legend]
Collaboration diagram for plask::optical::modal::RootMuller:
[legend]

## Public Member Functions
| RootMuller (ModalBase &solver, const function_type &val_fun, const Params &pars, const char *name)
dcomplex | find (dcomplex start) override
| Search for a single mode starting from the given point: point.
Public Member Functions inherited from plask::optical::modal::RootDigger
| RootDigger (ModalBase &solver, const function_type &val_fun, const Params &pars, const char *name)
virtual | ~RootDigger ()

## Additional Inherited Members
Public Types inherited from plask::optical::modal::RootDigger
enum | Method { ROOT_MULLER , ROOT_BROYDEN , ROOT_BRENT }
| Root finding method. More...
typedef std::function< dcomplex(dcomplex)> | function_type
Public Attributes inherited from plask::optical::modal::RootDigger
Params | params
Protected Member Functions inherited from plask::optical::modal::RootDigger
template<typename... Args>
void | writelog (LogLevel level, const std::string &msg, Args &&... args) const
dcomplex | valFunction (dcomplex x) const
Protected Attributes inherited from plask::optical::modal::RootDigger
ModalBase & | solver
function_type | val_function
DataLog< dcomplex, dcomplex > | log_value

## Detailed Description

Definition at line 22 of file muller.hpp.

## Constructor & Destructor Documentation

## ◆ RootMuller()

plask::optical::modal::RootMuller::RootMuller | ( | ModalBase & | solver,
|  | const function_type & | val_fun,
|  | const Params & | pars,
|  | const char * | name
| ) |  |
| inline

Definition at line 24 of file muller.hpp.

## Member Function Documentation

## ◆ find()

dcomplex plask::optical::modal::RootMuller::find | ( | dcomplex | start | ) |
| override virtual

Search for a single mode starting from the given point: point.

Implements plask::optical::modal::RootDigger.

Definition at line 23 of file muller.cpp.

The documentation for this struct was generated from the following files:

- solvers/optical/modal/muller.hpp
- solvers/optical/modal/muller.cpp